#!/bin/sh

. ./util.sh
. ./basics.sh
. ./irc.sh

export tilde_name=""
export tilde_username=""
export key_file=""

#configure_tilde
#configure_irc

choice=""

clear
echo "=== Welcome to Tildelinux! ==="
configure_network || fail
clear
echo "What tilde would you like to connect to? (use the domain name as you would for ssh)"
read tilde_name
echo "What is your username for $tilde_name?"
read tilde_username
echo "Now you will need to provide tildelinux with your ssh private key"
echo "By whatever means, place your private key in the /tilde/key directory"
echo "Here is a shell, once the key is in the proper location, simply type \"exit\" to close the shell and continue"
bash
echo "Looking for keyfile..."
check_key_file || fail
echo "Key file located!"
echo "Testing connection to the tilde..."
connection_test || fail
echo "Connection success!"
echo "Configuring user..."
configure_user || fail
echo "User configured!"
clear
echo "=== IRC Configuration ==="
echo "Now we will begin configuring a WeeChat IRC relay"
echo "Select the option that applies to you:"
echo "1. I have a WeeChat relay configured on my chosen tilde"
echo "2. I do not have a WeeChat relay configured on my chosen tilde"
read -r choice
while :
do
	case "$choice" in
		"1")
			clear
			set_relay_config "existing"
			break
			;;
		"2")
			clear
			echo "Since no WeeChat relay exists, a new one will be configured"
			echo "First, provide a port number and password for this relay"
			set_relay_config "new"
			break
			;;
		"*")
			echo "Please enter a valid option"
			;;
	esac
done
echo "All done! Enjoy using Tildelinux!"
rm ./setup_incomplete
systemctl restart 'getty@tty1.service'
